List the organisation's conditions (browser session)
import requests
url = "https://api.platform.ankra.app/org/ai-conditions"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/ai-conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/ai-conditions \
--cookie ankra_session={
"conditions": [
{
"id": "<string>",
"subject_key": "<string>",
"condition_kind": "<string>",
"family": "<string>",
"occurrence_count": 123,
"episode_count": 123,
"no_action_streak": 123,
"is_chronic": true,
"last_outcome": "<string>",
"current_ticket": {
"id": "<string>",
"number": 123,
"status": "<string>"
},
"first_observed_at": "<string>",
"last_observed_at": "<string>",
"last_opened_at": "<string>"
}
],
"counts": {
"total": 123,
"chronic": 123,
"open": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Conditions
List the organisation's conditions (browser session)
Lists the organisation’s conditions, the recurring problems AI tickets are filed against, most recently observed first, with totals of all, open and chronic conditions. chronic=true keeps only conditions closed as no-action three times in a row; limit defaults to 100 and is capped at 500.
GET
/
org
/
ai-conditions
List the organisation's conditions (browser session)
import requests
url = "https://api.platform.ankra.app/org/ai-conditions"
headers = {"cookie": "ankra_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'ankra_session='}};
fetch('https://api.platform.ankra.app/org/ai-conditions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.ankra.app/org/ai-conditions \
--cookie ankra_session={
"conditions": [
{
"id": "<string>",
"subject_key": "<string>",
"condition_kind": "<string>",
"family": "<string>",
"occurrence_count": 123,
"episode_count": 123,
"no_action_streak": 123,
"is_chronic": true,
"last_outcome": "<string>",
"current_ticket": {
"id": "<string>",
"number": 123,
"status": "<string>"
},
"first_observed_at": "<string>",
"last_observed_at": "<string>",
"last_opened_at": "<string>"
}
],
"counts": {
"total": 123,
"chronic": 123,
"open": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Browser session. Mutations also require X-Ankra-CSRF.
Query Parameters
true lists only conditions closed without action three times or more.
Default 100, at most 500.